#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Unicode
%define		pnam	Stringprep
Summary:	Preparation of Internationalized Strings (RFC 3454)
Summary(pl.UTF-8):	Tworzenie umiędzynarodowionych łańcuchów znaków (RFC 3454)
Name:		perl-Unicode-Stringprep
Version:	1.105
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Unicode/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bf9ffbc387cc12d67a3875be1cd8e105
URL:		http://search.cpan.org/dist/Unicode-Stringprep/
BuildRequires:	perl-devel >= 1:5.8.3
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Test-NoWarnings
BuildRequires:	perl-Unicode-Normalize >= 1
%endif
Requires:	perl-Unicode-Normalize >= 1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements the stringprep framework for preparing Unicode
text strings in order to increase the likelihood that string input and
string comparison work in ways that make sense for typical users
throughout the world. The stringprep protocol is useful for protocol
identifier values, company and personal names, internationalized
domain names, and other text strings.

%description -l pl.UTF-8
Ten moduł implementuje szkielet stringprep do przygotowywania
unikodowych łańcuchów znaków tak, aby zwiększyć prawdopodobieństwo, że
wejście i porównywanie łańcuchów działa w sposób sensowny dla typowych
użytkowników na świecie. Protokół stringprep jest przydatny dla
wartości identyfikujących protokół, nazw firm i osób, międzynarodowych
domen i innych łańcuchów tekstowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Unicode/Stringprep.pm
%{perl_vendorlib}/Unicode/Stringprep
%{_mandir}/man3/Unicode::Stringprep*.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Unicode-Stringprep.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 022dbc7
- up to 1.105

* Fri Jun 01 2012 Jakub Bogusz <qboosh@pld-linux.org> ffb6bcb
- updated versioned dependencies

* Wed Jan 18 2012 zbyniu <zbyniu@pld-linux.org> 6673b69
- up to 1.104

* Tue Dec 07 2010 Jakub Bogusz <qboosh@pld-linux.org> d791c51
- new

